summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2010-05-12 23:33:45 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:33:45 +0200
commitb66ea6bff79fa39a975185da4279eff06160869f (patch)
treee71ee0c28acc38d7fc83a52001c099c6b885486e
parent6d671cdcf62cf5f6bb4d9782f21e2e0517e8c364 (diff)
downloadslackbuilds-b66ea6bff79fa39a975185da4279eff06160869f.tar.gz
slackbuilds-b66ea6bff79fa39a975185da4279eff06160869f.tar.xz
system/pipemeter: Added to 12.2 repository
-rw-r--r--system/pipemeter/README1
-rw-r--r--system/pipemeter/pipemeter.SlackBuild62
-rw-r--r--system/pipemeter/pipemeter.info8
-rw-r--r--system/pipemeter/slack-desc19
4 files changed, 90 insertions, 0 deletions
diff --git a/system/pipemeter/README b/system/pipemeter/README
new file mode 100644
index 0000000000..1173296b8b
--- /dev/null
+++ b/system/pipemeter/README
@@ -0,0 +1 @@
+pipemeter copies its input to output with progress bar and/or speed indicator.
diff --git a/system/pipemeter/pipemeter.SlackBuild b/system/pipemeter/pipemeter.SlackBuild
new file mode 100644
index 0000000000..37e1170087
--- /dev/null
+++ b/system/pipemeter/pipemeter.SlackBuild
@@ -0,0 +1,62 @@
+#!/bin/sh
+
+# Slackware build script for pipemeter
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=pipemeter
+VERSION=${VERSION:-1.1.3}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man
+
+make
+
+# 'make install' doesn't create these for us:
+mkdir -p $PKG/usr/bin $PKG/usr/man/man1
+# ...but it does strip the pipemeter binary.
+make install PREFIX=$PKG/usr
+
+cp pipecp $PKG/usr/bin
+gzip -9 $PKG/usr/man/man1/$PRGNAM.1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp README LICENSE Changelog $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/pipemeter/pipemeter.info b/system/pipemeter/pipemeter.info
new file mode 100644
index 0000000000..ef348cfd44
--- /dev/null
+++ b/system/pipemeter/pipemeter.info
@@ -0,0 +1,8 @@
+PRGNAM="pipemeter"
+VERSION="1.1.3"
+HOMEPAGE="http://spamaps.org/pipemeter.php"
+DOWNLOAD="http://spamaps.org/files/pipemeter/pipemeter-1.1.3.tar.gz"
+MD5SUM="55cf189d3d1de92bbc2bc7d3396e20b1"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="rworkman"
diff --git a/system/pipemeter/slack-desc b/system/pipemeter/slack-desc
new file mode 100644
index 0000000000..e4cff3df5b
--- /dev/null
+++ b/system/pipemeter/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+pipemeter: pipemeter (I/O pipe with progress and speed indicators)
+pipemeter:
+pipemeter: pipemeter copies its input to output with progress bar and/or speed
+pipemeter: indicators.
+pipemeter:
+pipemeter:
+pipemeter:
+pipemeter:
+pipemeter:
+pipemeter:
+pipemeter: